package cn.wisenergy.mapper;

import cn.wisenergy.model.app.WorkDept;
import cn.wisenergy.model.dto.OrganizationStructureDto;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author chenqi
 * @since 2021-01-19
 */
public interface WorkDeptMapper extends BaseMapper<WorkDept> {

    List<WorkDept> getDeptByCondition(Map<String, Object> map);

    List<OrganizationStructureDto> getAllDeptByAllCentre();

    WorkDept getById(Integer deptId);

    int updateManagerIdISNullById(Integer id);


    List<WorkDept> getDeptByManagerId(Integer userId);
}
